<!-- Copyright 2020 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="/components/common_styles.html">

<!--
  Simple OOBE polymer element which is used for displaying single slide in a
  carousel.

  Example:
    <oobe-slide is-warning>
      <img ... slot="slide-img">
      <div slot="title">...</div>
      <div slot="text">...</div>
    </oobe-slide>

    Attributes:
      is-warning - changes title slot color from blue to red.
-->
<dom-module id="oobe-slide">
  <template>
    <style include="oobe-dialog-host">
      :host {
        --oobe-slide-img-size: 200px;
        --oobe-slide-vertical-margin: 24px;
        --oobe-slide-horizontal-margin: 32px;
      }

      #slide-container {
        max-height: calc(var(--oobe-slide-img-size) + 2 *
                         var(--oobe-slide-vertical-margin));
      }

      #illustration-container {
        height: var(--oobe-slide-img-size);
        margin: var(--oobe-slide-vertical-margin)
                var(--oobe-slide-horizontal-margin);
        width: var(--oobe-slide-img-size);
      }

      #context-container {
        padding-inline-end: var(--oobe-slide-horizontal-margin);
      }

      #slide-title ::slotted(*) {
        color: var(--google-blue-600);
        font-family: var(--oobe-header-font-family);
        font-size: 24px;
        font-weight: 500; /* medium */
        line-height: 32px;
      }

      #slide-title[is-warning] ::slotted(*) {
        color: var(--google-red-600);
      }

      #slide-text {
        padding-top: 8px;
      }

      #slide-text ::slotted(*) {
        color: var(--google-grey-700);
        font-family: var(--oobe-default-font-family);
        font-size: 14px;
        font-weight: 400; /* regular */
      }

      .multiline {
        white-space: normal;
      }
    </style>
    <div id="slide-container" class="flex layout horizontal">
      <div id="illustration-container" class="oobe-illustration">
        <slot name="slide-img"></slot>
      </div>
      <div id="context-container" class="flex layout vertical center-justified">
        <div id="slide-title" is-warning$="[[isWarning]]">
          <slot name="title" class="multiline"></slot>
        </div>
        <div id="slide-text">
          <slot name="text" class="multiline"></slot>
        </div>
      </div>
    </div>
  </template>
  <script src="oobe_slide.js"></script>
</dom-module>
